#pragma once
//#include "HypertextCtrl.h"

// NEO: WAM - [WebInterfaceAccountManagement] -- Xanatos -->

class CPPgAdvWebServer : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgAdvWebServer)

public:
	CPPgAdvWebServer();
	virtual ~CPPgAdvWebServer();

	enum { IDD = IDD_PPG_ADV_WEBSRV };

	void Localize(void);

	BOOL m_bIsInit;
protected:
	BOOL m_bModified;

	void LoadSettings(void);

	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	virtual BOOL OnSetActive(); 
	void SetModified(BOOL bChanged = TRUE){
		m_bModified = bChanged;
		CPropertyPage::SetModified(bChanged);
	}

	DECLARE_MESSAGE_MAP()	
	afx_msg void OnHelp();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnSettingsChange();
	afx_msg void OnSettingsChangeBox()			{ SetBoxes(); OnSettingsChange(); }
	afx_msg void OnBnClickedNew();
	afx_msg void OnBnClickedDel();
	afx_msg void UpdateSelection();
	CComboBox	m_cbAccountSelector;
	CComboBox	m_cbUserlevel;
	void	SetBoxes();
	void	FillComboBox();
	void	FillUserlevelBox();

	// NEO: NDP - [NeoDoublePrefs]
private:
	enum eTab	{NONE, Websvr1,Websvr2};
	CTabCtrl	m_tabCtr;
	eTab		m_currentTab;
	CImageList	m_imageList;
	void		SetTab(eTab tab);
	
public:
	afx_msg void OnTcnSelchangeTabWebsvr2(NMHDR *pNMHDR, LRESULT *pResult);
	void	InitTab(bool firstinit, int Page = 0);
	// NEO: NDP END
};

// NEO: WAM END <-- Xanatos --